Skip to main content
GET
/
v1
/
event-types
/
{eventType}
/
booking-forms
cURL
curl --request GET \
  --url https://api.novacal.io/v1/event-types/{eventType}/booking-forms \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": 123,
      "identifier": "<string>",
      "label": "<string>",
      "type": "text",
      "placeholder": "<string>",
      "is_required": true,
      "is_active": true,
      "position": 1,
      "options": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventType
integer<int64>
required

ID of event type

Response

200 - application/json

Booking form fields response

success
boolean
required

Indicates whether the request was successful

Example:

true

data
object[]
required